org.eclipse.rdf4j.sail.federation.optimizers

## Class OwnedTupleExprPruner

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.sail.federation.optimizers.OwnedTupleExprPruner

- All Implemented Interfaces:
    QueryOptimizer, QueryModelVisitor<RuntimeException>

      public class OwnedTupleExprPruner
      extends AbstractQueryModelVisitor<RuntimeException>
      implements QueryOptimizer

  Remove redundant `OwnedTupleExpr`.
  Author:
    James Leigh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OwnedTupleExprPruner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `meetOther(QueryModelNode node)`
    `void` | `optimize(TupleExpr query, Dataset dataset, BindingSet bindings)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OwnedTupleExprPruner

          public OwnedTupleExprPruner()

  - ### Method Detail

    - #### optimize

          public void optimize(TupleExpr query,
                               Dataset dataset,
                               BindingSet bindings)

      Specified by:
        `optimize` in interface `QueryOptimizer`

    - #### meetOther

          public void meetOther(QueryModelNode node)

      Specified by:
        `meetOther` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meetOther` in class `AbstractQueryModelVisitor<RuntimeException>`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.